let
  lyes = "ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIMHJ2Wjz+SYDfgX8kMpZtVLCNxwWT2XbKOqFyDwkHOg9 mail@lyes.eu";
  users = [ lyes ];
  zora = "ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIILgkHQ76wPhKXgeEWpCqzBKX3ARJDZPMtukWL1f91Ny root@zora";
  hosts = [ zora ];
  all = users ++ hosts;
in
{
  # Lyes
  "secrets/lyes/mail-passwd.age".publicKeys = [ lyes zora ];
  "secrets/lyes/hidden-sieve.age".publicKeys = [ lyes zora ];

  # Zora
  "secrets/zora/services/kanidm-admin-password.age".publicKeys = all;
  "secrets/zora/services/kanidm-idm-admin-password.age".publicKeys = all;
  "secrets/zora/services/taf-token.age".publicKeys = all;
  "secrets/zora/services/giovanni-env.age".publicKeys = all;
  "secrets/zora/services/baba-db-pass.age".publicKeys = all;
  "secrets/zora/services/baba-admin-pass.age".publicKeys = all;
  "secrets/zora/services/nayru-conf.age".publicKeys = all;
}
